summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..53567dd
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Install config.rpath which is needed for AM_ICONV macro
+for dir in "$GETTEXT_DIR" /usr/share/gettext /usr/local/share/gettext; do
+ if test -f "$dir/config.rpath"; then
+ test -f config.rpath || echo "autogen.sh: installing './config.rpath'"
+ cp -f "$dir/config.rpath" .
+ break
+ fi
+done
+
+aclocal --force
+autoconf --force
+automake --add-missing --copy --force-missing